### Method

# WebKit FaviconDatabase get_favicon_finish

#### Declaration [src]

    GdkTexture*
    webkit_favicon_database_get_favicon_finish (
      WebKitFaviconDatabase* database,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an operation started with webkit_favicon_database_get_favicon().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to webkit_favicon_database_get_favicon().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkTexture`

A new favicon image, or `NULL` in case of error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.